GNU bug report logs - #28106
25.2; mode menu empty in menu bar

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: hatterer raoul <hatterer.raoul@HIDDEN>; Keywords: help; merged with #23672, #31223; dated Tue, 15 Aug 2017 22:25:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 23672 28106 31223. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Aug 2017 22:24:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 15 18:24:08 2017
Received: from localhost ([127.0.0.1]:39979 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dhkFr-0008HE-KM
	for submit <at> debbugs.gnu.org; Tue, 15 Aug 2017 18:24:07 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44319)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hatterer.raoul@HIDDEN>) id 1dhjiB-0005pC-F4
 for submit <at> debbugs.gnu.org; Tue, 15 Aug 2017 17:49:19 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <hatterer.raoul@HIDDEN>) id 1dhji4-0001HC-Ao
 for submit <at> debbugs.gnu.org; Tue, 15 Aug 2017 17:49:14 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:46835)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <hatterer.raoul@HIDDEN>)
 id 1dhji4-0001H5-7P
 for submit <at> debbugs.gnu.org; Tue, 15 Aug 2017 17:49:12 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:35277)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <hatterer.raoul@HIDDEN>) id 1dhji2-0002fw-Hl
 for bug-gnu-emacs@HIDDEN; Tue, 15 Aug 2017 17:49:11 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <hatterer.raoul@HIDDEN>) id 1dhji0-0001Fp-S5
 for bug-gnu-emacs@HIDDEN; Tue, 15 Aug 2017 17:49:10 -0400
Received: from mail-wr0-x236.google.com ([2a00:1450:400c:c0c::236]:38272)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <hatterer.raoul@HIDDEN>)
 id 1dhji0-0001ER-EQ
 for bug-gnu-emacs@HIDDEN; Tue, 15 Aug 2017 17:49:08 -0400
Received: by mail-wr0-x236.google.com with SMTP id m57so6997867wrm.5
 for <bug-gnu-emacs@HIDDEN>; Tue, 15 Aug 2017 14:49:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=to:subject:from:message-id:date:user-agent:mime-version
 :content-transfer-encoding:content-language;
 bh=6pYhzHf8zwDR1wNvigW4hCYA2CO2j6m7D90QjxjDAr0=;
 b=NLNS7/hvk4G7PdEAgR8uTazvHzlkTbiQfREgQoSPclazWVbLReb9EjGuiNxlOBtKXx
 x2SZptAbTDrA1rVwAYt+El55Apqi6YKAQBl5EBrQevYkUEzLrNMzAgaX6A/qYvteG+/S
 86q91ODDQO3sbnKQhmy/eM33sE9SK7iUu4LHL6uZchUsSfZut4IYzBrK1FdR8wMkir89
 49u39eo+PFk4AHYwdN95rknRP7t0h56P2mv9F01MZdLvWxrUJdojoUBaenL4/cI/f5kY
 TR9KhSad61e8lAkIgrore+850KqHu5nluy5+RoSRoIT8X/1TFD3oHa5KRBLHv95tujU5
 ZM/A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:to:subject:from:message-id:date:user-agent
 :mime-version:content-transfer-encoding:content-language;
 bh=6pYhzHf8zwDR1wNvigW4hCYA2CO2j6m7D90QjxjDAr0=;
 b=O02w6/MSe21xvLs8UgmNkK5irX4mB4cr1Z2+gnGCvJbSX/V9qdYxDkmkFM7Cl2Afhs
 gQiu2EtsuSLU6bjGTeBpMhxtS35oieddML0iKK9u1pM+UfG0DcfcKBeBNBkOJjjis14M
 X7Sc+enZeMvDiqrosKcEJcsv6Zn+40KEVa7eeY5PnRfy1SiNuXYxufpy6zMIBUqiBnOg
 yOrwdk/VaroLpWcNskdZW69D4q09HhOPSiZGcrWyGkFf3szgX8v1jlNIaM8vD2o4B4tc
 ZTRWVSpJYZ5gWWTuLMsKi+CIpvjArNpsDT9LYFNmuS7Nw8IivAec1CXBWJcigAbbDTdP
 mKTg==
X-Gm-Message-State: AHYfb5g6H2xLi86ZZ0IAfk3bCYkt4uGf2b2FO2S6NZlJa7nom1jAFpuU
 +i4kda6biA4MbssZpBU=
X-Received: by 10.223.145.106 with SMTP id j97mr18029405wrj.172.1502833745352; 
 Tue, 15 Aug 2017 14:49:05 -0700 (PDT)
Received: from ?IPv6:2a02:214c:8256:be00:8f71:f9e0:d702:a742?
 ([2a02:214c:8256:be00:8f71:f9e0:d702:a742])
 by smtp.gmail.com with ESMTPSA id e137sm3465334wma.29.2017.08.15.14.49.03
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 15 Aug 2017 14:49:04 -0700 (PDT)
To: bug-gnu-emacs@HIDDEN
Subject: 25.2; mode menu empty in menu bar
From: hatterer raoul <hatterer.raoul@HIDDEN>
Message-ID: <5001732d-91d0-91e7-26cc-a506523cfea5@HIDDEN>
Date: Wed, 16 Aug 2017 00:49:03 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.2.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: fr
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 15 Aug 2017 18:24:06 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)


 > For example :
 > As I'm writing this mail the menu bar is incomplete:
 > File Edit Options Buffer and Tools menus are fine
 > 'Field' 'Message' 'Text' and 'Attachments' menus are empty
 > Help menu is fine
hatterer@asus1:~$ emacs25 -q --debug-init
 > is empty.
 > But if I hit f10 to get the menu 'Field' appear:
hatterer@asus1:~$ emacs25 -q --debug-init

(emacs25:16785): Gtk-WARNING **: Attempting to add a widget with type 
GtkBox to a GtkMenuItem, but as a GtkBin subclass a GtkMenuItem can only 
contain one widget at a time; it already contains a widget of type 
GtkAccelLabel

(emacs25:16785): Gtk-WARNING **: Attempting to add a widget with type 
GtkBox to a GtkMenuItem, but as a GtkBin subclass a GtkMenuItem can only 
contain one widget at a time; it already contains a widget of type 
GtkAccelLabel

(emacs25:16785): Gtk-CRITICAL **: gtk_device_grab_add: assertion 
'GDK_IS_DEVICE (device)' failed

 > If I hit f10 again 'Message' 'Text' and 'Attachments' menus become 
fine too.

 > emacs25 was installed from:
hatterer@asus1:~$ sudo add-apt-repository ppa:kelleyk/emacs
hatterer@asus1:~$ sudo apt-get update
hatterer@asus1:~$ sudo apt-get install emacs25
 >--------end of my message-----------

In GNU Emacs 25.2.2 (x86_64-pc-linux-gnu, GTK+ Version 3.18.9)
of 2017-05-06 built on lgw01-59
Windowing system distributor 'The X.Org Foundation', version 11.0.11804000
System Description: Ubuntu 16.04.3 LTS

Configured using:
'configure --build=x86_64-linux-gnu --prefix=/usr
'--includedir=${prefix}/include' '--mandir=${prefix}/share/man'
'--infodir=${prefix}/share/info' --sysconfdir=/etc --localstatedir=/var
--disable-silent-rules '--libdir=${prefix}/lib/x86_64-linux-gnu'
'--libexecdir=${prefix}/lib/x86_64-linux-gnu' --disable-maintainer-mode
--disable-dependency-tracking --prefix=/usr --sharedstatedir=/var/lib
--program-suffix=25 --with-modules --with-x=yes --with-x-toolkit=gtk3
'CFLAGS=-g -O2 -fstack-protector-strong -Wformat
-Werror=format-security' 'CPPFLAGS=-Wdate-time -D_FORTIFY_SOURCE=2'
'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,-z,relro''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS
NOTIFY LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 MODULES

Important settings:
value of $LANG: fr_FR.UTF-8
value of $XMODIFIERS: @im=ibus
locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

Minor modes in effect:
diff-auto-refine-mode: t
tooltip-mode: t
global-eldoc-mode: t
electric-indent-mode: t
mouse-wheel-mode: t
tool-bar-mode: t
menu-bar-mode: t
file-name-shadow-mode: t
global-font-lock-mode: t
font-lock-mode: t
blink-cursor-mode: t
auto-composition-mode: t
auto-encryption-mode: t
auto-compression-mode: t
line-number-mode: t
transient-mark-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
user-error: Beginning of history; no preceding item
user-error: End of history; no default available [2 times]
delete-backward-char: Text is read-only [13 times]
Quit
Making completion list...
Quit
Making completion list...
funcall-interactively: End of buffer

Load-path shadows:
/usr/share/emacs/site-lisp/dictionaries-common/ispell hides 
/usr/share/emacs/25.2/lisp/textmodes/ispell
/usr/share/emacs/site-lisp/dictionaries-common/flyspell hides 
/usr/share/emacs/25.2/lisp/textmodes/flyspell

Features:
(shadow sort mail-extr emacsbug message dired format-spec rfc822 mml
mml-sec password-cache epg epg-config gnus-util mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util help-fns help-mode cl-loaddefs pcase
cl-lib mail-prsvr mail-utils thingatpt vc-git diff-mode easymenu
easy-mmode bookmark pp time-date mule-util tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list newcomment elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese charscript case-table epa-hook jka-cmpr-hook help
simple abbrev minibuffer cl-preloaded nadvice loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
dbusbind inotify dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 96464 9651)
(symbols 48 20570 0)
(miscs 40 510 171)
(strings 32 17168 3974)
(string-bytes 1 494402)
(vectors 16 13056)
(vector-slots 8 448800 3256)
(floats 8 173 184)
(intervals 56 387 0)
(buffers 976 21)
(heap 1024 31367 914))





Acknowledgement sent to hatterer raoul <hatterer.raoul@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#28106; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 20 Jul 2018 23:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.